Subject: Re: bug#33999: CP437: Invalid Argument on init

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 18 Jan 2019 23:48:59 +0100

Hi Bryan,

On Fri, 18 Jan 2019 11:00:14 -0800
Bryan Ferris <[email-masked]> wrote:

> I think I know why d-bus is failing to start. The error when it tries to is
> as follows:
> 
> "Failed to start message bus: Error in file /etc/dbus-1/system-local.conf,
> line 1, column 0: no element found"
> 
> The first possibility came up when I searched /gnu/store for
> system-local.conf. There is only one instance of such a file, and it is
> empty. According to https://dbus.freedesktop.org/doc/dbus-daemon.1.html,
> the (xml) file *must* contain the following line at a minimum:
> 
> <!DOCTYPE busconfig PUBLIC "-//freedesktop//DTD D-Bus Bus Configuration 1.0//EN"
>     "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">  
> 
> The error message makes a lot of sense with this in mind. Since I can't
> just edit the file to add the line, can you recommend a way to fix this?

system-local.conf is generated by the guix service for d-bus, see

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/services/dbus.scm#n78

I'm not sure how it could ever happen that that is empty (no root element either).

Could you image the broken partition and give it to us?  It needs some serious
debugging.

Alternatively, you can specify "--repl" without the quotes at the end of the
"append" line in grub in the menu in order to get it to stop booting and provide
a Guile prompt.

You then can write things like

,use (ice-9 ftw)
(scandir "/etc")

and so on.

But I think it would be easier to chroot into the half-finished installation and
try to reconfigure again - if necessary from a guix checkout with debugging
messages added.